/*  styling body - relative position needed for scroll spy.  */

body {
    position: relative;
    font-family: Thasadith, sans-serif; 
    letter-spacing: 1.5px;
/*    color: #f7be11;*/
/*    color: #efb504;*/
    color: white;
}
/*Containing div for the video, needed to centralise the video and removing the horizontal scrolling. */
.video {
   overflow-x: hidden;
/*   overflow-y: hidden;*/
   background-position: center;
   margin-bottom: 0;
   padding: 0;
   z-index: -100;
   position: fixed;
}
/* edit the background video. Fixed position so the content scrolls over it. Min height and min width 100% so it fills the browser screen no matter the size of the device. Ensure the video is behind everything else by giving a negative value. */
video #fish {
    position: fixed;
    min-height: 100%;
    min-width: 100%;
    z-index: -100;
    margin-bottom: 0;
}

.navbar {
    border-bottom: 1px solid #f7be11;
    background-color: #efb504;
    padding: 0 10px;
}

.navbar #collapsibleList #list li {
    padding: 10px;
    font-weight: bold;
    margin: 2px 0;
}
.navbar #collapsibleList #list li:hover {
    border: 1px solid #f7be11;
    border-radius: 10px;
    padding: 9px;
}

/*Title  */
.navbar a h1{
    font-family: Indie Flower, cursive;
    margin-bottom: 0;
    color: white;
}

/*Containing div for icons and corresponding text.  */
#iconSection {
    text-align: center;
    z-index: 2;
    padding: 150px 40px 0px 40px;
}

/*The actual icons from logomakr.  */
.icons {
    height: 60px;
    background-color: transparent;
}

#iconSection h1 {
    color: #efb504;
    font-weight: bold;
}

/* The individual icon sections, ie the columns.  */
.columns {
    padding: 10px 40px;
    margin: 0px auto;
}

/*The individual icon sections, ie the columns, just the two on the right side.  */
.right {
    margin-left: auto;
}


/*The paragraphs within the individual icon sections, the paragraphs within the columns. */
.columns p {
    padding: 0px 30px;
}

.clear {
    clear:both;
}

/*Styling the container of the carousel.  */
/*Would need to change for screen sizes. */
.carouselContainer {
    padding-top: 120px;
    z-index: 2;
    margin: 0px auto;
}

/*Style the main carousel element */
.carousel {
    width: 80%;
    margin: auto;
}

/*Style the img within the carousel */
.carousel .carousel-item img{
    max-width: 80%;
    margin: 0 auto;
}

/*  Put the caption below the image in the carousel.  */
.carousel .carousel-caption {
    position: relative;
    left: auto;
    right: auto;
    padding: 25px 35px 8px 35px;
    font-family: Thasadith, sans-serif; 
    letter-spacing: 1.5px;
}
/* heading for carousel text */
.carousel .carousel-caption h2 {
    color: #efb504;
    font-weight: bold;
}

/*Styling the carousel indicators - changing from lines to blocks.*/
.carousel ol li{
    height: 10px;
    width: 10px;
    margin: 0 7px;
}

/*Positioning the arrows in the carousel. */
.carousel-control-next {
    padding-left: 15px;
    height: 60%;
    padding-top: 10%;
}

.carousel-control-prev {
    height: 60%;
    padding-top: 10%;
    padding-right: 15px; 
}

/*card columns padding */
.card-columns {
    padding-top: 120px;
    margin-bottom: 100px;
}
/* card column cards */
.card {
    border: 1px solid #efb504;
}

/* card column headings */
.card .card-title, .card .card-subtitle {
    color: #efb504;
    font-weight: bold;
}

/*paragraphs in card columns*/
.card .card-text {
    padding-top: 5px;
}

/* Card header background in card columns  */
.card-header {
    text-align: center;
    border-bottom: 1px solid #efb504;
    background-color: #efb504;
}

/* card header text in card columns.*/
.card-header h4 {
    font-weight: bold;
    color: black;
}

/* Line divide for Ningaloo card */
.card .WA hr {
    background-color: #efb504;
    margin: 12px 0px;
}

/*Padding for Ningaloo card  */
.card .WA h4, .card .WA .card-subtitle, .card .WA .card-text {
        padding: 0px 20px;
    }
.card .WA {
    padding-top: 15px;
}

/*Card styling for don't miss card  */
#dontMiss {
    text-align: center;
    color: white;
    font-weight: bold;
    margin-bottom: 0;
}
#dontMissbg {
    background-color: #efb504;
}
#dontMissborder {
border: 2px solid white;
}

/*Yellow background of card body */
.yellow {
    background-color: #efb504;
}

/*Whitsundays subtitle */
.card .yellow h6 {
    color: white;
}

/*Whitsundays header */
.yellow .whit {
    border-bottom: 0.5px solid white;
}
/*Whitsundays header text */
.yellow .whit h4 {
}

/*Wildlife header  */
#wildlife h4 {
    color: #efb504;
    text-align: left;
}

#wildlifeh6 {
    color: black;
}

.CP .card-title {
    color: black;
    font-weight: bold;
}

/*Whale card header colour*/
.whales h4 {
    color: white;
}

/*Styling the footer  */
.footer {
    color: #efb504;
}

/*Styling the footer links */
.footer a {
    color: #efb504;
    font-style: oblique;
}
/*Styling the footer links on hover */
.footer a:hover {
    text-decoration: none;
    font-weight: bold;
}





/*      Media Queries    */



/*  xs  */
@media (max-width: 575.98px) {
/* remove video for phone screens  */
#fish {
    visibility: hidden;
}

/* Add photo background */
    .video {
        background: url(images/fish_pic.jpg);
        background-size: cover;
        background-attachment: fixed;
        background-position: center;
    }

/* The individual icon sections, ie the columns.  */
.columns {
    padding: 10px 0px;
}
    
/*The paragraphs within the individual icon sections, the paragraphs within the columns. */
    .columns p {
        padding: 0px 0px;
}
    
/*    Make image in carousel full width on phone screens*/
    .carousel {
        width: 100%;
    } 
    
/*  Put the caption below the image in the carousel.  */
.carousel .carousel-caption {
    padding: 25px 35px 8px 35px;
    letter-spacing: 1px;
    height: 150px;
}
    
 /* heading for carousel text */
.carousel .carousel-caption h2 {
    font-size: 22px;
}

/*    carousel caption main text size  */
    .carousel .carousel-caption p {
        font-size: 14px;
    }

/* Position of carousel arrow */
    .carousel-control-prev, .carousel-control-next {
        padding-top: 0;
}
/*    hide don't miss section of card columns */
    #dontMissborder {
       display: none;
    }
  
/*    Footer font size  */
    .footer {
        font-size: 11px;
    }
/*    Footer edge padding*/
    #visit {
        padding-left: 2px;
    }
    #logomakr {
        padding-right: 2px;
    }
}
    

/*  sm  */
/*The paragraphs within the individual icon sections, the paragraphs within the columns. */
@media (min-width: 576px) and (max-width: 767.98px) {
/* remove video for phone screens  */
#fish {
    visibility: hidden;
}

/* Add photo background */
    .video {
        background: url(images/fish_pic.jpg);
        background-size: cover;
        background-attachment: fixed;
        background-position: center;
    }
    
.columns p {
    padding: 0px 0px;
    font-size: 16px;
}

/*The headings in the columns */
.columns h1 {
    font-size: 32px;
}
    
    /*  Put the caption below the image in the carousel.  */
.carousel .carousel-caption {
    padding: 25px 35px 8px 35px;
    letter-spacing: 1px;
    height: 140px;
}
    
    /* heading for carousel text */
.carousel .carousel-caption h2 {
    font-size: 25px
}
    
/* Position of carousel arrow */
 .carousel-control-prev, .carousel-control-next {
    padding-top: 0;   
}
    
/*reduce size of padding on column headings */
    .card .card-header {
        padding: 15px 10px 10px 10px;
    }
/*reduce size of column headings */
    .card .card-header h4 {
        font-size: 24px;
    }
    
/*reduce padding of card body */
    .card .card-body {
       padding: 15px 10px; 
    }
    
/*Ningaloo card because of the line divide*/
    .card .WA h4, .card .WA .card-subtitle, .card .WA .card-text {
        padding: 0px 10px;
    }
    
 /*    Footer font size  */
    .footer {
        font-size: 12px;
    }
/*    Footer edge padding*/
    #visit {
        padding-left: 2px;
    }
    #logomakr {
        padding-right: 2px;
    }
    
    }


/*  md  */
@media (min-width: 768px) and (max-width: 991.98px) {
    .columns p {
    padding: 0px 0px;
    font-size: 17px;
}
    .carouselContainer {
    padding-top: 100px;
    }
    
/*  Put the caption below the image in the carousel.  */
.carousel .carousel-caption {
    padding: 25px 55px 8px 55px;
    letter-spacing: 1px;
    height: 140px;
}
    
     /*    Footer font size  */
    .footer {
        font-size: 13px;
    }
/*    Footer edge padding*/
    #visit {
        padding-left: 2px;
    }
}


/*  lg  */
@media (min-width: 992px) {
    /*Containing div for icons and corresponding text.  */
#iconSection {
    padding: 130px 40px 0px 40px;
}
    
 .columns p {
    font-size: 19px;
    padding: 0px 0px;
}
        
 /*    Footer font size  */
    .footer {
        font-size: 14px;
    }
/*    Footer edge padding*/
    #visit {
        padding-left: 2px;
    }
}

/*  xl  */
@media (min-width: 1200px) {
 .columns p {
    font-size: 20px;
}
}